#!/bin/bash
#######################################################################################################################
# Three variables are required to define the test case
ICON_CASE="real-from-dwd-ana"
ICON_VERSION="2.6.5-nwp0"
EXTRA_NAMELIST=""

#######################################################################################################################
set -euo pipefail

# Get path to the script directory
SCRIPT_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" >/dev/null 2>&1 && pwd)"

# Import the function setup_autoicon_example
source ${SCRIPT_DIR}/example_utils.sh

# Setup the experiment
# setup_autoicon_example takes the following arguments:
# case: right now it can be real-from-ideal or real-from-dwd-ana
# ICON_VERSION: it can be master, psp, plexrt or a specific version like 2.6.5-nwp0 (the latest at that moment)
# EXTRA_NAMELIST: In case we want to provide extra parameters we can use it
setup_autoicon_example "$ICON_CASE" "$ICON_VERSION" "${EXTRA_NAMELIST}"

# Create and run experiment
autosubmit create ${EXPID} -np
autosubmit run ${EXPID}

# Check that all jobs finished correctly
[ ! -s autosubmit/${EXPID}/tmp/ASLOGS/jobs_failed_status.log ] || exit 1
